Package org.drinkless.tdlib

# Class TdApi.InputMessageReplyToMessage

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.InputMessageReplyTo
org.drinkless.tdlib.TdApi.InputMessageReplyToMessage

Enclosing class:
  TdApi

public static class TdApi.InputMessageReplyToMessage extends TdApi.InputMessageReplyTo
Describes a message to be replied in the same chat and forum topic.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.InputMessageReplyTo

  `TdApi.InputMessageReplyTo.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `messageId`
  The identifier of the message to be replied in the same chat and forum topic.
  `TdApi.InputTextQuote`
  `quote`
  Quote from the message to be replied; pass null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputMessageReplyToMessage()`
  Describes a message to be replied in the same chat and forum topic.
  `InputMessageReplyToMessage(long messageId, TdApi.InputTextQuote quote)`
  Describes a message to be replied in the same chat and forum topic.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### messageId

    public long messageId
    The identifier of the message to be replied in the same chat and forum topic.

  - ### quote

    public TdApi.InputTextQuote quote
    Quote from the message to be replied; pass null if none. Must always be null for replies in secret chats.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputMessageReplyToMessage

    public InputMessageReplyToMessage()
    Describes a message to be replied in the same chat and forum topic.

  - ### InputMessageReplyToMessage

    public InputMessageReplyToMessage(long messageId, TdApi.InputTextQuote quote)
    Describes a message to be replied in the same chat and forum topic.
    Parameters:
      `messageId` - The identifier of the message to be replied in the same chat and forum topic.
      `quote` - Quote from the message to be replied; pass null if none. Must always be null for replies in secret chats.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.InputMessageReplyTo`
    Returns:
      this.CONSTRUCTOR